import bpy

class MspMathObjectProperties(bpy.types.Panel):
	bl_idname = "OBJECT_PT_mspmath_properties"
	bl_label = "Msp math properties"
	bl_space_type = "PROPERTIES"
	bl_region_type = "WINDOW"
	bl_context = "object"

	def draw(self, context):
		obj = context.active_object

		self.layout.prop(obj, "shape_type");

def register_properties():
	bpy.types.Object.shape_type = bpy.props.EnumProperty(name="Shape type", description="Type of shape to use for exporting this object", default="AUTO",
		items=(("AUTO", "Automatic", "Automatic"),
			("BOX", "Box", "Box"),
			("SPHERE", "Sphere", "Sphere")))
